#ifndef INC_GTGROUP_H
#define INC_GTGROUP_H

#include "gtwhtman.h"

/************************************************************************\
*
* GtGroup class header.
*
* $Ident: This file is part of the 'Gt-library' 1.0.0 $
* $Copyright: (C) 1997 by Gran Gustafsson $
*
\************************************************************************/

class GtGroup : public GtWhtMan
{
public:
		/* Standard */
	GtGroup(void);
	sbool Init(char *n,GtManager *p,GtTag *tgs);
	sbool Set(GtTag *tgs);
	void Get(GtTag *tgs);
	char *GetClass(void) { return("GtGroup"); }
	sbool IsSubClassOf(char *cn);
		/* Values */
	void SetEMask(ulong em);
		/* Layout */
	void Relayout(void);
protected:
		/* Internal methods */
	sbool Draw(XEvent *xe);
	void Layout(void);
protected:
		/* Instance variables */
	GtWidget *first;
	int totw;
	word expsize;
	ubyte dir,ftype,ibw,ibdrw,bdrw,space;
};

extern GtGroup *GtMkGroup(char *n,GtManager *p,GtTag *tgs);
extern GtGroup *GtMkGroup(char *n,GtManager *p,ulong tag,...);

#endif /* INC_GTGROUP_H */
